package com.sensor.iot.api.model;

import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * PropDataQuery
 *
 * @author Frank
 */
@Data
@Builder
@EqualsAndHashCode(callSuper = true)
public class PropDataQuery extends BaseModel implements Serializable {
    private static final long serialVersionUID = -8763321005404354719L;

    /**
     * 设备编号
     */
    private String deviceId;

    /**
     * 属性标识符 多个,拼接
     */
    private String identity;

    /**
     * 开始时间
     */
    private Long startTime;

    /**
     * 结束时间
     */
    private Long endTime;

}
