package com.sensor.iot.api.event;

import com.sensor.iot.api.model.ApiResp;

/**
 * IAsyncResponseListener
 *
 * @author Frank
 */
@FunctionalInterface
public interface IAsyncResponseListener {

    /**
     * 异步接收处理
     *
     * @param response 响应对象
     */
    @SuppressWarnings("rawtypes")
    void onResponse(ApiResp response);

}
