package com.sensor.iot.api.model;

import lombok.Builder;
import lombok.Data;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 * BatchWritePropReq
 *
 * @author Frank
 */
@Data
@Builder
public class BatchWritePropReq implements Serializable {
    private static final long serialVersionUID = -3073851060464574830L;

    /**
     * 要操作的设备列表
     */
    private List<String> deviceIds;

    /**
     * 产品编号
     */
    private String productId;

    /**
     * 属性数据
     */
    private Map<String, Object> properties;

}
